Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
Class JavaStubCompilationUnit

Compilation unit to only generate Java stubs for Groovy sources.

version:
  $Id: JavaStubCompilationUnit.java 8377 2007-10-06 02:36:32Z user57 $

author:
  Jason Dillon

Field Summary
`List` | `javaSources`

Constructor Summary
`JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader classLoader, File outputDirectory)`

Method Summary
`void` | `addJavaSource(File file)`
`void` | `addSourceFile(File file)`
`void` | `gotoPhase(int phase)`
`boolean` | `haveJavaSources()`

Constructor Detail

### JavaStubCompilationUnit

    public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader classLoader, File outputDirectory)

Method Detail

### addJavaSource

    void addJavaSource(File file)

### addSourceFile

    public void addSourceFile(File file)

### gotoPhase

    public void gotoPhase(int phase)

### haveJavaSources

    boolean haveJavaSources()